Tag Parser: TagParser::MatroskaTagFieldMaker Class Reference

Tag Parser 12.5.2 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | Friends | List of all members
TagParser::MatroskaTagFieldMaker Class Reference

The MatroskaTagFieldMaker class helps making tag fields. More...

`#include <matroskatagfield.h>`

## Public Member Functions
void | make (std::ostream &stream) const
| Saves the field (specified when constructing the object) to the specified stream (makes a "SimpleTag" element).
const MatroskaTagField & | field () const
| Returns the associated field.
std::uint64_t | requiredSize () const
| Returns number of bytes which will be written when making the field.

## Friends
class | MatroskaTagField

## Detailed Description

The MatroskaTagFieldMaker class helps making tag fields.

It allows to calculate the required size.

See also
  See MatroskaTagField::prepareMaking() for more information.

Definition at line 30 of file matroskatagfield.h.

## Member Function Documentation

## ◆ field()

const MatroskaTagField & TagParser::MatroskaTagFieldMaker::field | ( |  | ) | const
| inline

Returns the associated field.

Definition at line 54 of file matroskatagfield.h.

## ◆ make()

void TagParser::MatroskaTagFieldMaker::make | ( | std::ostream & | stream | ) | const

Saves the field (specified when constructing the object) to the specified stream (makes a "SimpleTag" element).

- Exceptions

    Throws | std::ios_base::failure when an IO error occurs.
    Throws | Assumes the data is already validated and thus does NOT throw TagParser::Failure or a derived exception.

Definition at line 269 of file matroskatagfield.cpp.

## ◆ requiredSize()

std::uint64_t TagParser::MatroskaTagFieldMaker::requiredSize | ( |  | ) | const
| inline

Returns number of bytes which will be written when making the field.

Definition at line 62 of file matroskatagfield.h.

## Friends And Related Symbol Documentation

## ◆ MatroskaTagField

friend class MatroskaTagField
| friend

Definition at line 31 of file matroskatagfield.h.

The documentation for this class was generated from the following files:

- matroska/matroskatagfield.h
- matroska/matroskatagfield.cpp